interface Props {
    title?: string;
    btnSubmit?: string;
    imgLogo?: string;
    errorMessages?: string;
    loading?: boolean;
    hint?: string;
}
declare var __VLS_72: {};
type __VLS_Slots = {} & {
    hint?: (props: typeof __VLS_72) => any;
};
declare const __VLS_base: import("vue").DefineComponent<Props, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    "update:modelValue": (...args: any[]) => void;
}, string, import("vue").PublicProps, Readonly<Props> & Readonly<{
    "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
}>, {
    loading: boolean;
    title: string;
    errorMessages: string;
    hint: string;
    btnSubmit: string;
    imgLogo: string;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>;
declare const __VLS_export: __VLS_WithSlots<typeof __VLS_base, __VLS_Slots>;
declare const _default: typeof __VLS_export;
export default _default;
type __VLS_WithSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
